## GtkDataboxMarkers GtkDataboxMarkers — A GtkDataboxGraph used for displaying labeled markers for xy-values. |

## Types and Values

| GtkDataboxMarkers
| GtkDataboxMarkersClass
enum | GtkDataboxMarkersType
enum | GtkDataboxMarkersPosition
enum | GtkDataboxMarkersTextPosition

## Includes

    #include <gtkdatabox_markers.h>

## Description

GtkDataboxMarkers is a GtkDataboxGraph class for displaying labeled markers (circles, triangles, lines) for xy-values.

## Functions

## Types and Values

### GtkDataboxMarkers

    typedef struct _GtkDataboxMarkers GtkDataboxMarkers;

GtkDataboxMarkers is a GtkDataboxGraph class for displaying labeled markers (circles, triangles, lines) for xy-values.

`parent` : The parent object

### GtkDataboxMarkersClass

    typedef struct _GtkDataboxMarkersClass GtkDataboxMarkersClass;

The object class of GtkDataboxMarkers.

### enum GtkDataboxMarkersType

Type of the marker

#### Members

GTK_DATABOX_MARKERS_NONE | No Marker (just text) |
GTK_DATABOX_MARKERS_TRIANGLE | Marker is a triangle |
GTK_DATABOX_MARKERS_SOLID_LINE | Marker is a solid line |
GTK_DATABOX_MARKERS_DASHED_LINE | Marker is a dashed line |

### enum GtkDataboxMarkersPosition

Position of a marker relative to its respective X/Y value.

#### Members

GTK_DATABOX_MARKERS_C | centered on data |
GTK_DATABOX_MARKERS_N | marker is positioned north of data |
GTK_DATABOX_MARKERS_E | marker is positioned east of data |
GTK_DATABOX_MARKERS_S | marker is positioned south of data |
GTK_DATABOX_MARKERS_W | marker is positioned west of data |

### enum GtkDataboxMarkersTextPosition

Position of a label relative to its repective marker.

#### Members

GTK_DATABOX_MARKERS_TEXT_CENTER | text centered on marker |
GTK_DATABOX_MARKERS_TEXT_N | text north of marker |
GTK_DATABOX_MARKERS_TEXT_NE | text north-east of marker |
GTK_DATABOX_MARKERS_TEXT_E | text east of marker |
GTK_DATABOX_MARKERS_TEXT_SE | text south-east of marker |
GTK_DATABOX_MARKERS_TEXT_S | text south of marker |
GTK_DATABOX_MARKERS_TEXT_SW | text south-west of marker |
GTK_DATABOX_MARKERS_TEXT_W | text west of marker |
GTK_DATABOX_MARKERS_TEXT_NW | text north-west of marker |

## See Also

GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxBars